<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceModifyResponse StructType
 * @subpackage Structs
 */
class ServiceModifyResponse extends AbstractStructBase
{
    /**
     * The ModifyRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ModifyRS
     */
    public $ModifyRS;
    /**
     * Constructor method for ServiceModifyResponse
     * @uses ServiceModifyResponse::setModifyRS()
     * @param \StructType\JP_ModifyRS $modifyRS
     */
    public function __construct(\StructType\JP_ModifyRS $modifyRS = null)
    {
        $this
            ->setModifyRS($modifyRS);
    }
    /**
     * Get ModifyRS value
     * @return \StructType\JP_ModifyRS|null
     */
    public function getModifyRS()
    {
        return $this->ModifyRS;
    }
    /**
     * Set ModifyRS value
     * @param \StructType\JP_ModifyRS $modifyRS
     * @return \StructType\ServiceModifyResponse
     */
    public function setModifyRS(\StructType\JP_ModifyRS $modifyRS = null)
    {
        $this->ModifyRS = $modifyRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ServiceModifyResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
